A Safari 6.2 és a Safari 7.1 biztonsági tartalma

Ez a dokumentum a Safari 6.2 és a Safari 7.1 biztonsági tartalmát ismerteti.

A frissítés a Szoftverfrissítés segítségével, illetve az Apple letöltési webhelyéről tölthető le és telepíthető.

Vásárlói védelme érdekében az Apple nem hoz nyilvánosságra, tárgyal, illetve erősít meg biztonsági problémákat addig, amíg le nem zajlott a probléma teljes körű kivizsgálása, és el nem érhetők a szükséges javítások vagy szoftverkiadások. Az Apple-termékekkel kapcsolatos biztonsági kérdésekről az Apple termékbiztonsági oldalán olvashat bővebben.

Az Apple termékbiztonsági PGP-kulcsáról Az Apple termékbiztonsági PGP-kulcs használata című cikkben talál bővebb információkat.

Ahol csak lehetséges, a cikk CVE-azonosítójuk alapján hivatkozik az egyes biztonsági résekre.

Más biztonsági frissítésekről Az Apple biztonsági frissítései című cikkből tájékozódhat.

A Safari 6.2 és a Safari 7.1

  • Safari

    A következőkhöz érhető el: OS X Mountain Lion 10.8.5, OS X Mavericks 10.9.5

    Érintett terület: A magas hálózati jogosultságú támadók meg tudták szerezni a felhasználói hitelesítési adatokat

    Leírás: A rendszer automatikusan töltötte ki a mentett jelszavakat a http webhelyeken és a hibás megbízhatósággal rendelkező és iframe formátumot használó https webhelyeken. A probléma megoldása érdekében az érvényes tanúsítványláncokkal rendelkező https webhelyek központi keretére korlátozták a jelszavak automatikus kitöltését.

    CVE-azonosító

    CVE-2014-4363 : David Silver, Suman Jana és Dan Boneh, Stanford Egyetem; együttműködők: Eric Chen és Collin Jackson, Carnegie Mellon Egyetem

  • WebKit

    A következőkhöz érhető el: OS X Mountain Lion 10.8.5, OS X Mavericks 10.9.5

    Érintett terület: Előfordult, hogy egy ártó szándékkal létrehozott webhely meglátogatása váratlan alkalmazásleálláshoz vagy tetszőleges programkód végrehajtásához vezetett.

    Leírás: Több, memóriasérüléssel kapcsolatos probléma állt fenn a WebKit motorban. Hatékonyabb memóriakezeléssel küszöbölték ki a problémákat.

    CVE-azonosító

    CVE-2013-6663 : Atte Kettunen, OUSPG

    CVE-2014-4410 : Eric Seidel, Google

    CVE-2014-4411 : A Google Chrome biztonsági csapata

    CVE-2014-4412 : Apple

    CVE-2014-4413 : Apple

    CVE-2014-4414 : Apple

    CVE-2014-4415 : Apple

  • WebKit

    A következőkhöz érhető el: OS X Mountain Lion 10.8.5, OS X Mavericks 10.9.5

    Érintett terület: A rosszindulatú webhelyek akkor is követni tudták a felhasználókat, amikor a privát böngészés aktiválva volt.

    Leírás: A webalkalmazások HTML 5 alkalmazás-gyorsítótáradatokat tudtak tárolni a normál böngészés során, majd be tudták olvasni az adatokat privát böngészés közben. Azzal hárították el a problémát, hogy letiltották az alkalmazások gyorsítótárának elérését a privát böngészési mód használatakor.

    CVE-azonosító

    CVE-2014-4409 : Yosuke Hasegawa (NetAgent Co., Led.)

A nem az Apple által gyártott termékekre, illetve az Apple ellenőrzésén kívül eső vagy általa nem tesztelt független webhelyekre vonatkozó információk nem tekinthetők javaslatoknak vagy ajánlásoknak. Az Apple nem vállal felelősséget a harmadik felek webhelyeinek és termékeinek kiválasztására, teljesítményére, illetve használatára vonatkozólag. Az Apple nem garantálja, hogy a harmadik felek webhelyei pontosak vagy megbízhatóak. Az internet használata kockázatokkal jár. Forduljon a gyártóhoz további információkért. A többi vállalat- és terméknév tulajdonosának védjegye lehet.

Közzététel dátuma: